Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetWebAppUrl

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.HttpUrl>
it.tdlight.jni.TdApi.GetWebAppUrl

Enclosing class:
  TdApi

public static final class TdApi.GetWebAppUrl extends TdApi.Function<TdApi.HttpUrl>
Returns an HTTPS URL of a Web App to open from the side menu, a keyboardButtonTypeWebApp button, an inlineQueryResultsButtonTypeWebApp button, or an internalLinkTypeSideMenuBot link.

Returns `HttpUrl`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`applicationName`
Short name of the application; 0-64 English letters, digits, and underscores.
`long`
`botUserId`
Identifier of the target bot.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.ThemeParameters`
`theme`
Preferred Web App theme; pass null to use the default theme.
`String`
`url`
The URL from a keyboardButtonTypeWebApp button, inlineQueryResultsButtonTypeWebApp button, an internalLinkTypeSideMenuBot link, or an empty when the bot is opened from the side menu.

## Constructor Summary

Constructors
Constructor
Description
`GetWebAppUrl()`
Returns an HTTPS URL of a Web App to open from the side menu, a keyboardButtonTypeWebApp button, an inlineQueryResultsButtonTypeWebApp button, or an internalLinkTypeSideMenuBot link.
`GetWebAppUrl(long botUserId, String url, TdApi.ThemeParameters theme, String applicationName)`
Returns an HTTPS URL of a Web App to open from the side menu, a keyboardButtonTypeWebApp button, an inlineQueryResultsButtonTypeWebApp button, or an internalLinkTypeSideMenuBot link.
`GetWebAppUrl(DataInput input)`
Returns an HTTPS URL of a Web App to open from the side menu, a keyboardButtonTypeWebApp button, an inlineQueryResultsButtonTypeWebApp button, or an internalLinkTypeSideMenuBot link.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
Identifier of the target bot.

### url

public String url
The URL from a keyboardButtonTypeWebApp button, inlineQueryResultsButtonTypeWebApp button, an internalLinkTypeSideMenuBot link, or an empty when the bot is opened from the side menu.

### theme

public TdApi.ThemeParameters theme
Preferred Web App theme; pass null to use the default theme.

### applicationName

public String applicationName
Short name of the application; 0-64 English letters, digits, and underscores.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetWebAppUrl

public GetWebAppUrl()
Returns an HTTPS URL of a Web App to open from the side menu, a keyboardButtonTypeWebApp button, an inlineQueryResultsButtonTypeWebApp button, or an internalLinkTypeSideMenuBot link.

Returns `HttpUrl`

### GetWebAppUrl

public GetWebAppUrl(long botUserId, String url, TdApi.ThemeParameters theme, String applicationName)
Returns an HTTPS URL of a Web App to open from the side menu, a keyboardButtonTypeWebApp button, an inlineQueryResultsButtonTypeWebApp button, or an internalLinkTypeSideMenuBot link.

Returns `HttpUrl`

Parameters:
  `botUserId` - Identifier of the target bot.
  `url` - The URL from a keyboardButtonTypeWebApp button, inlineQueryResultsButtonTypeWebApp button, an internalLinkTypeSideMenuBot link, or an empty when the bot is opened from the side menu.
  `theme` - Preferred Web App theme; pass null to use the default theme.
  `applicationName` - Short name of the application; 0-64 English letters, digits, and underscores.

  Returns `HttpUrl`

### GetWebAppUrl

public GetWebAppUrl(DataInput input) throws IOException
Returns an HTTPS URL of a Web App to open from the side menu, a keyboardButtonTypeWebApp button, an inlineQueryResultsButtonTypeWebApp button, or an internalLinkTypeSideMenuBot link.

Returns `HttpUrl`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`